MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024229Open CASCADE[OCCT] OCCT:Visualizationpublic2013-10-07 09:552013-12-19 13:58
Reporterkgv 
Assigned Toapl 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024229: Test case for 0024070 bug has not been integrated
DescriptionTest case provided in steps to reproduce for #0024070 feature was not integrated within the main patch.

Moreover test case is broken because FBO used for image dump created without stencil buffer attachment.
Steps To Reproducepload AISV MODELING
vinit
box b1 0 0 0 10 10 10
box b2 30 0 0 10 40 10
box b3 -30 0 0 20 20 20
vsetdispmode 1
vdisplay b1 b2 b3
## test view-level clipping
vclipplane create pln1
vclipplane change pln1 equation 0 1 0 -5
vclipplane change pln1 capping on
vclipplane change pln1 capping color 0.9 0.9 0.9
vclipplane set pln1 view Driver1/Viewer1/View1
## test sharing of planes between view and object
vclipplane set pln1 object b1
## test object-level clipping
vclipplane create pln2
vclipplane change pln2 equation -0.707 0.707 0 -25
vclipplane change pln2 capping on
vclipplane change pln2 capping color 0.5 0.5 0.9
vclipplane change pln2 capping hatch on
vclipplane set pln2 object b3
vfit

Additional information
and documentation updates
The solution for this issue has been added in the scope of 24224:

======================================================================
            From description to 24224:
======================================================================

1) Test case added.

2) Internal changes:
OpenGl_FrameBuffer.hxx
OpenGl_FrameBuffer.cxx
added support for stencil buffer

TagsNo tags attached.
Test case number
Attached Filespng file icon cap_KO.png (1,509 bytes) 2013-10-07 09:55
png file icon cap_OK.png (26,151 bytes) 2013-10-07 09:55

- Relationships
related to 0024225closedbugmaster Open CASCADE TKOpenGL - Wrong ID is used for attachement of depth RenderBuffer to FBO 
related to 0024224closedbugmaster Open CASCADE Suspicious logics in changing clipping planes at OpenGl_Structure 

-  Notes
(0026011)
apl (developer)
2013-10-10 10:38

Dear Bugmaster,

The corresponding test case is added in issue 0024224.

Please close this one.
(0026086)
bugmaster (administrator)
2013-10-15 12:26

test case was added in issue 0024224.

- Issue History
Date Modified Username Field Change
2013-10-07 09:55 kgv New Issue
2013-10-07 09:55 kgv Assigned To => san
2013-10-07 09:55 kgv File Added: cap_KO.png
2013-10-07 09:55 kgv File Added: cap_OK.png
2013-10-07 09:56 kgv Assigned To san => apl
2013-10-07 09:57 apl Status new => assigned
2013-10-07 10:00 apl Relationship added related to 0024070
2013-10-07 10:00 kgv Relationship added related to 0024225
2013-10-08 14:01 apl Relationship added related to 0024224
2013-10-08 14:03 apl Steps to Reproduce Updated View Revisions
2013-10-10 10:38 apl Note Added: 0026011
2013-10-10 10:38 apl Assigned To apl => bugmaster
2013-10-10 10:38 apl Status assigned => feedback
2013-10-15 12:26 bugmaster Assigned To bugmaster => apl
2013-10-15 12:26 bugmaster Status feedback => tested
2013-10-15 12:26 bugmaster Note Added: 0026086
2013-10-15 12:26 bugmaster Status tested => verified
2013-10-15 12:26 bugmaster Resolution open => fixed
2013-10-17 11:13 apl Additional Information Updated View Revisions
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker